(* 
 * Copyright (c) 2001 The University of Wroclaw.
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: gontmodule.mli,v 1.7 2001/11/27 03:51:56 malekith Exp $
 *
 * Module interface: Gontmodule
 * Description:
 *)

open Gontutil

val save : string -> out_channel -> decl list -> unit

val reset : unit -> unit

val globals : string -> (ty * id) list * typedef list

exception Has_no_symbol of ty

(* first string is module name, second -- symbol name *)
val import_symbol : string -> string -> symbol
val import_type_symbol : string -> string -> typedef
val assign_symbol : string -> string -> symbol -> unit

(* Check whatever we can read module interface file, raise Error if not. *)
val open_module : string -> unit
;;
